UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 40973

Licensing - ERROR:Security:9 - No 'ISE' nor 'WebPack' feature was available for part '*'.

Description

MAP (or any licensed product) fails with a message similar to the following:

ISE encounters following errors in Map "

INFO:Security:54 - 'xc6vlx75t' is a WebPack part.
INFO:Security:60 - The XILINXD_LICENSE_FILE environment variable is set to
'C:\.Xilinx\license.dat;C:\.Xilinx\xilinx_wide.lic'.
INFO:Security:63 - The LM_LICENSE_FILE environment variable is not set.
INFO:Security:68 - Please run the Xilinx License Configuration Manager (xlcm or "Manage Xilinx Licenses")
to assist in obtaining a license.
ERROR:Security:9 - No 'ISE' nor 'WebPack' feature was available for part
'xc6vlx75t'.
----------------------------------------------------------------------
License file does not support this version.
Feature: WebPack
Application version > License version: 2011.06 > 2011.02
License path:
C:\.Xilinx\license.dat;C:\Xilinx\13.2\ISE_DS\ISE\/data\*.lic;C:\Xilinx\13.2\ISE_DS\ISE\

/coregen/core_licenses\Xilinx.lic;C:\Xilinx\13.2\ISE_DS\ISE\/coregen/core_licenses\XilinxFree.lic;
FLEXnet Licensing error:-21,126. System Error: 2 ""
For further information, refer to the FLEXnet Licensing documentation,
available at "www.acresso.com".License file does not support this version.
Feature: ISE
Application version > License version: 2011.06 > 2011.02


Solution

The key information in the message above is the line that states "Application version > License version: 2011.06 > 2011.02"

This issue is caused by an ISE software version newer than the version limit in the license file. In the example above, the ISE Design Suite13.2 has a version limit of 2011.06, but the license only allows software with a version limit of 2011.02 or earlier to run.

The version limit date indicates the month when the support contract expires. The support contract entitles a user to update the software with any version of that software released on, or before, the version limit month. If you attempt to run a version of the software released after the version limit, the license does not enable this version to run.

For more information on "expiration date" and "version limit date", please see: (Xilinx Answer 33770) and (Xilinx Answer 35022).

AR# 40973
Date Created 03/01/2011
Last Updated 11/23/2016
Status Active
Type General Article
Tools
  • ISE Design Suite - 11.1
  • ISE Design Suite - 12.1
  • ISE Design Suite - 13.1